RDMA_GET_RECV_COMP(3)

NAME
rdma_get_recv_comp - retrieves a completed receive request.

SYNOPSIS
#include <rdma/rdma_verbs.h>

int rdma_get_recv_comp (struct rdma_cm_id *id, struct ibv_wc *wc);

ARGUMENTS

id  A reference to a communication identifier to check for completions.

wc  A reference to a work completion structure to fill in.

DESCRIPTION
Retrieves a completed work request for a receive operation. Information about the completed request is returned through the wc parameter, with the wr_id set to the context of the request. For details on the work completion structure, see ibv_poll_cq.

RETURN VALUE
Returns the number of returned completions (0 or 1) on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
This calls polls the receive completion queue associated with an rdma_cm_id. If a completion is not found, the call blocks until a request completes. This call should only be used on rdma_cm_id's that do not share CQs with other rdma_cm_id's, and maintain separate CQs for sends and receive completions.

SEE ALSO
rdma_cm(7), ibv_poll_cq(3), rdma_get_send_comp(3), rdma_post_send(3), rdma_post_read(3), rdma_post_write(3)